Skip to main content
GET
/
prompts
/
{slug}
/
describe
Describe a prompt by its slug
curl --request GET \
  --url https://api.getbasalt.ai/prompts/{slug}/describe \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getbasalt.ai/prompts/{slug}/describe"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getbasalt.ai/prompts/{slug}/describe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "prompt": {
    "slug": "my-slug",
    "name": "My Prompt",
    "status": "live",
    "description": "This is a description of the prompt",
    "availableVersions": [
      "1.0.0",
      "1.0.1"
    ],
    "availableTags": [
      "latest",
      "production",
      "staging"
    ],
    "variables": [
      {
        "label": "Name",
        "type": "string",
        "description": "This is a description of the variable"
      }
    ]
  },
  "warning": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slug
string
required

The slug of the prompt to describe

Example:

"my-slug"

Query Parameters

version
string

The version to filter prompts by

Example:

"1.0.0"

tag
string

The tag to filter prompts by

Example:

"latest"

Response

The prompt with all its parameters

prompt
object
required

The prompt retrieved

Example:
{
"slug": "my-slug",
"name": "My Prompt",
"status": "live",
"description": "This is a description of the prompt",
"availableVersions": ["1.0.0", "1.0.1"],
"availableTags": ["latest", "production", "staging"],
"variables": [
{
"label": "Name",
"type": "string",
"description": "This is a description of the variable"
}
]
}
warning
string

A warning message